codehaus


[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Heat] Fwaas v2 support


On Tue, Nov 17, 2020 at 2:32 PM Yves Gd <yves.guimard at gmail.com> wrote:

> Hi,
>
> Trying to use a HOT firewall template, I encounter this error:
> "ERROR: HEAT-E99001 Service neutron is not available for resource type
> OS::Neutron::Firewall, reason: Required extension fwaas in neutron service
> is not available."
>
> We use fwaas v2, is it supported by heat module on Train version?
>

No it's not supported. The existing heat resources use fwaas v1 api, which
has been removed from neutron in stein. So these heat resources are useless
in train.

Feel free to create a story and contribute. With very few contributors,
we've not been able to keep up with all service api changes.


> Our openstack environment is deployed by kolla (9.2.0) with fwaas enabled.
> I assume "yes" but would like to be sure.
>
> Sorry if it's written somewhere but I couldn't find this information.
>
> Here is a simple version producing the error:
> -------------------
> heat_template_version: rocky
> resources:
>   firewall1:
>     type: OS::Neutron::Firewall
>     properties:
>       description: Test fwaas
>       name: Test_fwaas
>   -------------------
>
> Regards,
> Yves
>


-- 
Regards,
Rabi Mishra
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.openstack.org/pipermail/openstack-discuss/attachments/20201117/535cccda/attachment-0001.html>